import Actions from '@/types/Store/Actions';
import { BluetoothDevice } from '@/types/Shower/Shower';

export const UPDATE_BLUETOOTH_DEVICE = 'UPDATE_BLUETOOTH_DEVICE';
export const UPDATE_PAY_LIST = 'UPDATE_PAY_LIST';
export const UPDATE_ALL_LIST = 'UPDATE_ALL_LIST';

export type UpdateOrderParams<T> = {
  lastOrderId?: number;
  list: T[];
};

export const updateBluetoothDevice = (state: BluetoothDevice): Actions => ({
  type: UPDATE_BLUETOOTH_DEVICE,
  payload: state,
});
