import './WasherDevice.scss';
import { View, Image } from '@tarojs/components';
import DeviceIcon from '../../../images/washingmachine/ic_xiyi@2x.png';

const WasherDevice = (props: {
  data: { deviceCode: string; postion: string };
}) => {
  return (
    <View className='WasherDevice-device'>
      <View className='WasherDevice-deviceInfo'>
        <View className='WasherDevice-deviceItem'>
          <View className='WasherDevice-deviceLabel'>设备编码:</View>
          <View className='WasherDevice-deviceValue'>
            {props.data.deviceCode}
          </View>
        </View>
        <View className='WasherDevice-deviceItem'>
          <View className='WasherDevice-deviceLabel'>设备位置:</View>
          <View className='WasherDevice-deviceValue'>
            {props.data.postion}
          </View>
        </View>
      </View>
      <View className='WasherDevice-deviceIcon'>
        <Image src={DeviceIcon} />
      </View>
    </View>
  );
};

export default WasherDevice;
