import './NoDataIcon.scss';
import { View, Image } from '@tarojs/components';
import EmptyIcon from '../../images/shower/empty_yuyue@2x.png';

const NoDataIcon = (props: { text: string }) => (
  <View className='NoDataIcon-EmptyBox'>
    <Image className='NoDataIcon-EmptyIcon' src={EmptyIcon} />
    {props.text}
  </View>
);

export default NoDataIcon;
